Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class ImpliedCurrencyAmountRangeChoice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.ImpliedCurrencyAmountRangeChoice

public class ImpliedCurrencyAmountRangeChoice extends Object

Java class for ImpliedCurrencyAmountRangeChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ImpliedCurrencyAmountRangeChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="FrAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}AmountRangeBoundary1"/>
               <element name="ToAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}AmountRangeBoundary1"/>
               <element name="FrToAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}FromToAmountRange"/>
               <element name="EQAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ImpliedCurrencyAndAmount"/>
               <element name="NEQAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ImpliedCurrencyAndAmount"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BigDecimal`
`eqAmt`
`protected AmountRangeBoundary1`
`frAmt`
`protected FromToAmountRange`
`frToAmt`
`protected BigDecimal`
`neqAmt`
`protected AmountRangeBoundary1`
`toAmt`

## Constructor Summary

Constructors
Constructor
Description
`ImpliedCurrencyAmountRangeChoice()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getEQAmt()`
Gets the value of the eqAmt property.
`AmountRangeBoundary1`
`getFrAmt()`
Gets the value of the frAmt property.
`FromToAmountRange`
`getFrToAmt()`
Gets the value of the frToAmt property.
`BigDecimal`
`getNEQAmt()`
Gets the value of the neqAmt property.
`AmountRangeBoundary1`
`getToAmt()`
Gets the value of the toAmt property.
`void`
`setEQAmt(BigDecimal value)`
Sets the value of the eqAmt property.
`void`
`setFrAmt(AmountRangeBoundary1 value)`
Sets the value of the frAmt property.
`void`
`setFrToAmt(FromToAmountRange value)`
Sets the value of the frToAmt property.
`void`
`setNEQAmt(BigDecimal value)`
Sets the value of the neqAmt property.
`void`
`setToAmt(AmountRangeBoundary1 value)`
Sets the value of the toAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frAmt

protected AmountRangeBoundary1 frAmt

### toAmt

protected AmountRangeBoundary1 toAmt

### frToAmt

protected FromToAmountRange frToAmt

### eqAmt

protected BigDecimal eqAmt

### neqAmt

protected BigDecimal neqAmt

## Constructor Details

### ImpliedCurrencyAmountRangeChoice

public ImpliedCurrencyAmountRangeChoice()

## Method Details

### getFrAmt

public AmountRangeBoundary1 getFrAmt()
Gets the value of the frAmt property.

Returns:
  possible object is `AmountRangeBoundary1`

### setFrAmt

public void setFrAmt(AmountRangeBoundary1 value)
Sets the value of the frAmt property.

Parameters:
  `value` - allowed object is `AmountRangeBoundary1`

### getToAmt

public AmountRangeBoundary1 getToAmt()
Gets the value of the toAmt property.

Returns:
  possible object is `AmountRangeBoundary1`

### setToAmt

public void setToAmt(AmountRangeBoundary1 value)
Sets the value of the toAmt property.

Parameters:
  `value` - allowed object is `AmountRangeBoundary1`

### getFrToAmt

public FromToAmountRange getFrToAmt()
Gets the value of the frToAmt property.

Returns:
  possible object is `FromToAmountRange`

### setFrToAmt

public void setFrToAmt(FromToAmountRange value)
Sets the value of the frToAmt property.

Parameters:
  `value` - allowed object is `FromToAmountRange`

### getEQAmt

public BigDecimal getEQAmt()
Gets the value of the eqAmt property.

Returns:
  possible object is `BigDecimal`

### setEQAmt

public void setEQAmt(BigDecimal value)
Sets the value of the eqAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getNEQAmt

public BigDecimal getNEQAmt()
Gets the value of the neqAmt property.

Returns:
  possible object is `BigDecimal`

### setNEQAmt

public void setNEQAmt(BigDecimal value)
Sets the value of the neqAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`